### Method

# Gio ZlibDecompressor get_file_info

since: 2.26

#### Declaration [src]

    GFileInfo*
    g_zlib_decompressor_get_file_info (
      GZlibDecompressor* decompressor
    )

#### Description [src]

Gets the `GZlibDecompressor:file-info` property.

Available since: 2.26

Gets property | `Gio.ZlibDecompressor:file-info`

#### Return value

Type: `GFileInfo`

File info from the gzip header, if available.

The returned data is owned by the instance.
The return value can be `NULL`.